{
    "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
    "version": 1,
    "newProjectRoot": "projects",
    "projects": {
        "mastolists": {
            "projectType": "application",
            "schematics": {
                "@schematics/angular:component": {
                    "style": "scss"
                }
            },
            "root": "projects/mastolists",
            "sourceRoot": "projects/mastolists/src",
            "prefix": "app",
            "architect": {
                "build": {
                    "builder": "@angular-devkit/build-angular:browser",
                    "options": {
                        "outputPath": "dist/mastolists",
                        "index": "projects/mastolists/src/index.html",
                        "main": "projects/mastolists/src/main.ts",
                        "polyfills": [
                            "zone.js"
                        ],
                        "tsConfig": "projects/mastolists/tsconfig.app.json",
                        "inlineStyleLanguage": "scss",
                        "assets": [
                            "projects/mastolists/src/favicon.ico",
                            "projects/mastolists/src/assets"
                        ],
                        "styles": [
                            "projects/mastolists/src/styles.scss"
                        ],
                        "scripts": []
                    },
                    "configurations": {
                        "production": {
                            "budgets": [{
                                    "type": "initial",
                                    "maximumWarning": "2mb",
                                    "maximumError": "3mb"
                                },
                                {
                                    "type": "anyComponentStyle",
                                    "maximumWarning": "2kb",
                                    "maximumError": "4kb"
                                }
                            ],
                            "outputHashing": "all"
                        },
                        "development": {
                            "buildOptimizer": false,
                            "optimization": false,
                            "vendorChunk": true,
                            "extractLicenses": false,
                            "sourceMap": true,
                            "namedChunks": true
                        }
                    },
                    "defaultConfiguration": "production"
                },
                "serve": {
                    "builder": "@angular-devkit/build-angular:dev-server",
                    "configurations": {
                        "production": {
                            "browserTarget": "mastolists:build:production"
                        },
                        "development": {
                            "browserTarget": "mastolists:build:development"
                        }
                    },
                    "defaultConfiguration": "development"
                },
                "extract-i18n": {
                    "builder": "@angular-devkit/build-angular:extract-i18n",
                    "options": {
                        "browserTarget": "mastolists:build"
                    }
                },
                "test": {
                    "builder": "@angular-devkit/build-angular:karma",
                    "options": {
                        "polyfills": [
                            "zone.js",
                            "zone.js/testing"
                        ],
                        "tsConfig": "projects/mastolists/tsconfig.spec.json",
                        "inlineStyleLanguage": "scss",
                        "assets": [
                            "projects/mastolists/src/favicon.ico",
                            "projects/mastolists/src/assets"
                        ],
                        "styles": [
                            "projects/mastolists/src/styles.scss"
                        ],
                        "scripts": []
                    }
                }
            }
        },
        "mastodon-api": {
            "projectType": "library",
            "root": "projects/mastodon-api",
            "sourceRoot": "projects/mastodon-api/src",
            "prefix": "lib",
            "architect": {
                "build": {
                    "builder": "@angular-devkit/build-angular:ng-packagr",
                    "options": {
                        "project": "projects/mastodon-api/ng-package.json"
                    },
                    "configurations": {
                        "production": {
                            "tsConfig": "projects/mastodon-api/tsconfig.lib.prod.json"
                        },
                        "development": {
                            "tsConfig": "projects/mastodon-api/tsconfig.lib.json"
                        }
                    },
                    "defaultConfiguration": "production"
                },
                "test": {
                    "builder": "@angular-devkit/build-angular:karma",
                    "options": {
                        "tsConfig": "projects/mastodon-api/tsconfig.spec.json",
                        "polyfills": [
                            "zone.js",
                            "zone.js/testing"
                        ]
                    }
                }
            }
        }
    },
    "cli": {
        "analytics": "48f19321-a0cb-4b6d-8ea6-27d1fd0792f5"
    }
}